Subject: libreoffice-bin is broken

Description: libreoffice-bin requires python3.5.



When you upgraded python to 3.6 and dropped 3.5 libreoffice-bin no longer installs.



emerge -av libreoffice-bin



Local copy of remote index is up-to-date and will be used.



These are the packages that would be merged, in order:



Calculating dependencies /



!!! Problem resolving dependencies for app-office/libreoffice-bin

... done!



!!! The ebuild selected to satisfy "libreoffice-bin" has unmet requirements.

- app-office/libreoffice-bin-6.0.3.2::gentoo USE="-gnome -java -kde" ABI_X86="(64)" 

PYTHON_TARGETS="-python3_5"



  The following REQUIRED_USE flag constraints are unsatisfied:

    python_targets_python3_5



  The above constraints are a subset of the following complete expression:

    kde? ( !gnome ) gnome? ( !kde ) python_targets_python3_5

History

08/31/2018 11:46 am - Mikhail Hiretsky

- Status changed from New to Feedback

You can set USE in /etc/portage/package.use/custom

<pre>

app-office/libreoffice-bin PYTHON_TARGETS: python3_5 PYTHON_SINGLE_TARGET: python3_5

</pre>

But in this case python-3.5 will be installed.

09/20/2018 11:17 am - Maxim Ronzhin

please install app-office/libreoffice not app-office/libreoffice-bin.

10/02/2018 03:29 am - Sergey Starchenko

Maxim Ronzhin wrote:

> please install app-office/libreoffice not app-office/libreoffice-bin.



Please, read on my post https://www.calculate-linux.org/boards/9/topics/37887, because I have a problem with start app-office/libreoffice too.

10/04/2018 07:08 am - Alexander Tratsevskiy

- Status changed from Feedback to Closed
Fixed in app-office/libreoffice-bin-6.0.6.2
